<template>
  <div class="field__wrapper">
    <img :src="icon" :alt="label" v-show="!!icon" class="field__icon" />
    <input
      :type="type"
      :id="id"
      :name="id"
      @input="$emit('update:modelValue', $event.target.value)"
      @keyup="$emit('validate-input', $event)"
      :modalValue="modalValue"
      v-mask="mask"
      placeholder=" "
      class="field"
    />
    <label :for="id" class="field__label">{{ label }}</label>
    <small class="field__error" v-if="!!error">{{ error }}</small>
  </div>
</template>
<script>
// import { computed } from "vue"
import { maska } from "maska"
export default {
  name: "Input",
  directives: { mask: maska },
  props: {
    type: {
      type: String,
      required: true,
    },
    id: {
      type: String,
      required: true,
    },
    icon: {
      type: String,
    },
    label: {
      type: String,
      required: true,
    },
    mask: {
      type: String || Array,
    },
    modalValue: {
      type: String || null,
    },
    error: {
      type: String,
    },
  },
  emits: ["update:modelValue", "validate-input"],
}
</script>
